### File

`packages/components/eui-navbar/eui-navbar.component.ts`

### Implements

`AfterContentInit` `AfterViewInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
HostDirectives | `BaseStatesDirective` Inputs : euiPrimary euiSecondary
selector | `eui-navbar`
imports | `AsyncPipe` `EUI_DROPDOWN` `EUI_ICON` `EUI_BUTTON`
templateUrl | `./eui-navbar.component.html`
styleUrl | `./eui-navbar.scss`

### Index

###### Properties
asService Public baseItemSelected baseStatesDirective Public isDropdownView items
###### Methods
Public itemSelected
###### Outputs
itemClick
###### HostBindings
class
###### Accessors
cssClasses

### Outputs

itemClick
Type : `EventEmitter<string>`

### HostBindings

class
Type : `string`

### Methods

Public itemSelected
`itemSelected(id: string)`
Parameters :
Name | Type | Optional
id | `string` | No
Returns : `void`

### Properties

asService
Default value : `inject(EuiAppShellService)`

Public baseItemSelected
Type : `EuiNavbarItemComponent`

baseStatesDirective
Default value : `inject(BaseStatesDirective)`

Public isDropdownView
Default value : `false`

items
Type : `QueryList<EuiNavbarItemComponent>`
Decorators : `@ContentChildren(undefined)`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""